Try it free

OpenPipeline API - GET translate classic pipeline

  • Latest Dynatrace
  • Reference
  • 2-min read
  • Published Jul 08, 2026

Translates a log or business event classic pipeline configuration into an OpenPipeline configuration pipeline.

The request produces an application/json payload.

GETSaaShttps://{your-environment-id}.apps.dynatrace.com/platform/openpipeline/v1/classic-pipelines/translate

You can also execute this request with an OAuth2 client with settings:objects:read permission. For details, see OAuth clients.

Parameters

ParameterTypeDescriptionInRequired
configurationstring

Configuration scope to translate, either 'logs' or 'bizevents'.

queryRequired
includeSampleDataboolean

Include processor sample data in the translation.

queryOptional
skipDisabledRulesboolean

Skip disabled rules during translation.

queryOptional
skipBuiltinProcessingRulesboolean

Skip built-in processing rules during translation.

queryOptional

Response

Response codes

CodeTypeDescription
200ClassicPipelineTranslationResult

The translated OpenPipeline configuration pipeline.

4XXErrorResponseEnvelope

Client-side error.

5XXErrorResponseEnvelope

Server-side error.

Response body objects

The ClassicPipelineTranslationResult object

Result of translating a classic pipeline into an OpenPipeline configuration pipeline.

ElementTypeDescription
valuePipelineSettingsValue

The translated OpenPipeline configuration pipeline. The structure is compliant with builtin:openpipeline.logs.pipelines or builtin:openpipeline.bizevents.pipelines schemas, corresponding to the requested configuration parameter value. Note: the raw result may not fully pass validation against the Settings API.

withWarningboolean

Indicates whether at least one processor couldn't be translated automatically and needs manual review.

The PipelineSettingsValue object

The translated OpenPipeline configuration pipeline. The structure is compliant with builtin:openpipeline.logs.pipelines or builtin:openpipeline.bizevents.pipelines schemas, corresponding to the requested configuration parameter value. Note: the raw result may not fully pass validation against the Settings API.

The ErrorResponseEnvelope object

Encloses the encountered error.

ElementTypeDescription
errorErrorResponse

Basic information of the encountered error.

The ErrorResponse object

Basic information of the encountered error.

ElementTypeDescription
codeinteger

The returned HTTP status code.

detailsErrorResponseDetails

Detailed information of the error.

messagestring

Description of the encountered error.

The ErrorResponseDetails object

Detailed information of the error.

ElementTypeDescription
typestring

Defines the actual set of fields depending on the value. See one of the following objects:

  • constraintViolation -> ConstraintViolationDetails
The element can hold these values
  • constraintViolation

Response body JSON models

{
"value": {
"customId": "defaultTranslatedFromClassic",
"displayName": "defaultTranslatedFromClassic",
"processing": {
"processors": [
{
"id": "hostname-field-normalizer",
"type": "dql",
"matcher": "isNotNull(\"hostname\")",
"description": "hostname-field-normalizer",
"sampleData": "{\n \"hostname\": \"raspberry-pi 4\",\n \"ip\": \"10.0.0.123\"\n}",
"enabled": true,
"dql": {
"script": "fieldsRename host.name = hostname\n| fieldsRename ip.address = ip"
}
}
]
},
"securityContext": {},
"costAllocation": {},
"productAllocation": {},
"storage": {
"processors": [
{
"id": "default",
"type": "bucketAssignment",
"matcher": "true",
"description": "default",
"enabled": true,
"bucketAssignment": {
"bucketName": "default_logs"
}
}
]
},
"smartscapeNodeExtraction": {},
"smartscapeEdgeExtraction": {},
"metricExtraction": {},
"davis": {},
"dataExtraction": {}
},
"withWarning": true
}
{
"error": {
"code": 400,
"message": "Bad request."
}
}

JSON models

ConstraintViolationDetails

The ConstraintViolationDetails object

List of encountered constraint violations.

ElementTypeDescription
constraintViolationsConstraintViolation[]

List of encountered constraint violations.

The ConstraintViolation object

Information about a single constraint violation.

ElementTypeDescription
contextobject

Structured context of the constraint violation. Well known keys that can be present are:

  • reason -> Additional reasoning behind the occurred violation.
  • pipeline -> Pipeline related to the violation.
  • endpoint -> Endpoint related to the violation.
  • stage -> Stage related to the violation.
  • processor -> Processor related to the violation.
  • routingRule -> Routing rule related to the violation.
messagestring

Description of the constraint violation.

Related topics

  • Log processing
  • Business event processing
  • Processing in OpenPipeline
Related tags
Dynatrace Platform